<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:g="http://www.ihe.net/gazelle"
                xmlns:h="http://java.sun.com/jsf/html" xmlns:f="http://java.sun.com/jsf/core"
                xmlns:rich="http://richfaces.org/rich" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:a4j="http://richfaces.org/a4j" xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns="http://www.w3.org/1999/xhtml" template="//layout/template.xhtml">
    <ui:define name="body">
        <h:form id="globalForm">
            #{valueSetManagerSVS.initCreateGroup()}
            <h1>#{messages['net.ihe.gazelle.svssimulator.CreateGroup']}</h1>
            <s:div id="globalDiv">
                <ui:decorate template="/layout/panels/_panel_title_footer.xhtml">
                    <ui:define name="panel_title">#{messages['gazelle.svs.GroupEdition']}</ui:define>
                    <div class="form-horizontal">

                        <a4j:region id="selectedGroupOidRegion">
                            <s:decorate id="selectedGroupOidDecorate"
                                        template="/layout/form/_form_field_horizontal_inline.xhtml">
                                <ui:param name="id" value="selectedGroupId"/>
                                <ui:param name="required" value="true"/>
                                <ui:define name="label">#{messages['net.ihe.gazelle.simulators.OID']}</ui:define>
                                <h:inputText id="selectedGroupId" value="#{valueSetManagerSVS.selectedGroup.iD}"
                                             required="true"
                                             styleClass="form-control">
                                    <a4j:ajax event="blur" render="selectedGroupOidDecorate"/>
                                </h:inputText>
                            </s:decorate>
                        </a4j:region>

                        <a4j:region id="selectedGroupNameRegion">
                            <s:decorate id="selectedGroupNameDecorate"
                                        template="/layout/form/_form_field_horizontal_inline.xhtml">
                                <ui:param name="id" value="selectedGroupName"/>
                                <ui:param name="required" value="true"/>
                                <ui:define name="label">#{messages['gazelle.svs.DisplayName_2']}</ui:define>
                                <h:inputText id="selectedGroupName" styleClass="form-control"
                                             value="#{valueSetManagerSVS.selectedGroup.displayName}"
                                             required="true">
                                    <a4j:ajax event="blur" render="selectedGroupNameDecorate"/>
                                </h:inputText>
                            </s:decorate>
                        </a4j:region>

                        <s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
                            <ui:param name="id" value="selectedGroupOrganization"/>
                            <ui:define name="label">#{messages['gazelle.svs.SourceOrganization']}</ui:define>
                            <h:inputText id="selectedGroupOrganization"
                                         value="#{valueSetManagerSVS.selectedGroup.sourceOrganization}"
                                         styleClass="form-control"/>
                        </s:decorate>
                    </div>

                    <ui:define name="panel_footer">
                        <a4j:commandButton value="#{messages['gazelle.svs.SaveGroup']}"
                                           styleClass="gzl-btn-green"
                                           action="#{valueSetManagerSVS.saveGroup()}"
                                           render="globalDiv"/>
                        <a4j:commandButton value="#{messages['gazelle.svs.Back']}"
                                           styleClass="gzl-btn"
                                           action="/browser/groupBrowser.seam"
                                           immediate="true" execute="@this"/>
                    </ui:define>

                </ui:decorate>
            </s:div>
        </h:form>
    </ui:define>
</ui:composition>